Jump to content
  • Advertisement
Sign in to follow this  
chrpeter

Diablo 2 Level Editor Not Working?

This topic is 3628 days old which is more than the 365 day threshold we allow for new replies. Please post a new topic.

If you intended to correct an error in the post then please contact us.

Recommended Posts

I am trying to mess around with the ds1_edit and when I try to load up any map like Tristram it gives me this error: "I have detected that the current Allegro that you are using is Allegro 4.0.0, MSVC Download the good allegro DLL then extract it into this directory and restart the program. Any ideas? I have the latest version of Allegro installed and why would it want allegro in this directory? Which DLL file is it talking about?

Share this post


Link to post
Share on other sites
Advertisement
Quote:
Original post by chrpeter
I am trying to mess around with the ds1_edit and when I try to load up any map like Tristram it gives me this error: "I have detected that the current Allegro that you are using is Allegro 4.0.0, MSVC Download the good allegro DLL then extract it into this directory and restart the program. Any ideas?

I have the latest version of Allegro installed and why would it want allegro in this directory? Which DLL file is it talking about?


Hello,

First of all, latest version of allegro is 4.9.7 or something similiar. Secondly, if you do have a later version installed, put it in the editor directory so you will be sure that it'll load it.

Secondly, 4.0 is not enough for ds1_edit as far as i know, it is reliant on 4.2.x? (Not totally positive though) But it's a very common version used.

Share this post


Link to post
Share on other sites
Yes. I do have the latest version and I did put it in the directory. The things is I think ds may be so outdated that the latest Allegro is to new for it. if you have any other ideas let me know. Thanks.

Share this post


Link to post
Share on other sites
Yes. I do have the latest version and I did put it in the directory. The things is I think ds may be so outdated that the latest Allegro is to new for it. if you have any other ideas let me know. Thanks.

Share this post


Link to post
Share on other sites
Sign in to follow this  

  • Advertisement
×

Important Information

By using GameDev.net, you agree to our community Guidelines, Terms of Use, and Privacy Policy.

We are the game development community.

Whether you are an indie, hobbyist, AAA developer, or just trying to learn, GameDev.net is the place for you to learn, share, and connect with the games industry. Learn more About Us or sign up!

Sign me up!